#include <fstream>
#include <algorithm>
using namespace std;

ifstream fin("sir.in");
ofstream fout("sir.out");

// a[0]    a[1]    a[2]    a[3]   ...  a[i] .... a[n - 1],     a[n]   
// a + 0  a + 1    a + 2   a + 3      a + i      a + n - 1     a + n  a + n + 1
int a[10000]; 

int main()
{
	int n;         	 
	
	fin >> n; 
		
	for (int i = 1;	i <= n; i++)
		fin >> a[i];
	
	// Ordoneaza descrescator elementele din sir	
	sort(a + 1, a + n + 1, greater<int>());   // Complexitate: O(n * log(n))
	
	// ordoneaza in intervalul de adrese: [a + 1, a + n + 1)
	
	for (int i = 1; i <= n; ++i)
		fout << a[i] << ' ';
	
	return 0;
} 
