/* Sirul sumelor partiale
 * int s[10000]; // s[0], s[1], s[2], s[3], ..., s[n]
 *  
 * semnificatie: s[i] = a[1] + a[2] + .. + a[i]
 * s[1] = a[1]
 * s[2] = a[1] + a[2] = s[1] + a[2]
 * s[2] = a[1] + a[2] + a[3] = s[2] + a[3]
 * .....
 * 
 * s[i] = a[1] + ... + a[i - 1] + a[i] = s[i - 1] + a[i]
 * 
 *   2    1   3    0    -1   5          99
 * a[1] a[2] a[3] a[4] a[5] a[i] ..... a[n]
 * 
 */ 
#include <fstream>
#include <climits>
using namespace std;

ifstream fin("sir.in");
ofstream fout("sir.out");

int a[10000]; 
int s[10000]; // s[i] = a[1] + ... + a[i]

int main()
{
	int n;         	 
	
	fin >> n; 
		
	for (int i = 1;	i <= n; i++)
	{
		fin >> a[i];
		s[i] = s[i - 1] + a[i];     // relatie de recurenta
	}
	
	
	for (int i = 1; i <= n; ++i)
		fout << a[i] << ' ';
	fout << '\n';
	for (int i = 1; i <= n; ++i)
		fout << s[i] << ' ';
} 
